Problema con actualizacion con repositorios karmic (Solucionado)

Imagen de Ismaelichio
0 puntos

Buenas! La acabo de liar pardisima en mi Ubuntu 9.04! Resulta que he cambiado los repositorios jaunty por los de karmic y he añadido los repositorios de firefox (todo esto por supuesto en sources.list). Despues he ejecutado "sudo-get update && sudo apt-get upgrade" para que se actualizara firefox sin que pusiera lo de shiretoko y ha empezado a actualizar una barbaridad de cosas. Despues de esto me ha pedido reiniciar y cuando lo he hecho ha dejado de arrancar bien. El splash no aparece en la pantalla y cuando me sale la pantalla de login y me logineo se oye la musica de inicio acelerada y aparece la pantalla con el fondo de pantalla y solo aparece el puntero del raton... ¿Alguien me puede ayudar? ¿Alguna idea aparte de reinstalar?
Muchas gracias!

Un saludo!

Imagen de CHuLoYo
+1
0
-1

Deberás entrar en una tty por recovery mode y hacer downgrade a los paquetes que actualizaste.

Lo primero tendrás que volver a los repositorios de jaunty, y luego sudo aptitude full-upgrade

Un saludo.

---------
Marcos Pérez

+1
0
-1
Imagen de Ismaelichio
+1
0
-1

Buenas! He hecho lo que me has dicho y al final me ha salido:

Estado actual: 0 actualizados [-2].

y también me ha salido varias veces:

No CIDSupplement specified for Dotum-Bold, defaulting to 0.
No CIDSupplement specified for Dotum-Regular, defaulting to 0.
No CIDSupplement specified for Batang-Bold, defaulting to 0.
No CIDSupplement specified for UMingCN, defaulting to 0.
No CIDSupplement specified for Batang-Regular, defaulting to 0.

Creo que con esto no he conseguido nada...Muchas gracias de todas formas!!
Un saludo!

+1
0
-1
Imagen de CHuLoYo
+1
0
-1

Has puesto los repositorios de nuevo a jaunty?
Has intentado?...:

sudo aptitude remove kubuntu-desktop

sudo aptitude install kubuntu-desktop

Un saludo.

---------
Marcos Pérez

+1
0
-1
Imagen de Ismaelichio
+1
0
-1

El contenido de mi sources.list ahora mismo es:

# deb cdrom:[Ubuntu 8.10 _Intrepid Ibex_ - Release i386 (20081029.5)]/ intrepid main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://archive.ubuntu.com/ubuntu/ jaunty main restricted
deb-src http://archive.ubuntu.com/ubuntu/ jaunty restricted main multiverse universe #Added by software-properties

## Major bug fix updates produced after the final release of the
## distribution.
deb http://archive.ubuntu.com/ubuntu/ jaunty-updates main restricted
deb-src http://archive.ubuntu.com/ubuntu/ jaunty-updates restricted main multiverse universe #Added by software-properties

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://archive.ubuntu.com/ubuntu/ jaunty universe
deb http://archive.ubuntu.com/ubuntu/ jaunty-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://archive.ubuntu.com/ubuntu/ jaunty multiverse
deb http://archive.ubuntu.com/ubuntu/ jaunty-updates multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://es.archive.ubuntu.com/ubuntu/ intrepid-backports main restricted universe multiverse
# deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository. This software is not part of Ubuntu, but is
## offered by Canonical and the respective vendors as a service to Ubuntu
## users.
# deb http://archive.canonical.com/ubuntu intrepid partner
# deb-src http://archive.canonical.com/ubuntu intrepid partner
deb http://archive.ubuntu.com/ubuntu/ jaunty-security main restricted
deb-src http://archive.ubuntu.com/ubuntu/ jaunty-security main restricted
deb http://archive.ubuntu.com/ubuntu/ jaunty-security universe
deb-src http://archive.ubuntu.com/ubuntu/ jaunty-security universe
deb http://archive.ubuntu.com/ubuntu/ jaunty-security multiverse
deb-src http://archive.ubuntu.com/ubuntu/ jaunty-security multiverse
#firefox
deb http://ppa.launchpad.net/ubuntu-mozilla-daily/ppa/ubuntu jaunty main

He probado a desinstalar e instalar ubuntu-desktop pero no ha dado resultado. Gracias por contestar!
Un saludo!

+1
0
-1
Imagen de CHuLoYo
+1
0
-1

En lugar de

deb http://archive.ubuntu.com/ubuntu/ jaunty multiverse

Prueba

deb http://es.archive.ubuntu.com/ubuntu/ jaunty multiverse

En todas las líneas. Luego sudo aptitude update
y luego sudo aptitude full-ugprade.

Por cierto, dices que has intentado y nada, pero no dices qué error o qué problema tienes ahora. Has conseguido instalar algo?

Un saludo.

---------
Marcos Pérez

+1
0
-1
Imagen de Ismaelichio
+1
0
-1

No me da ningun error simplemente sigue igual. Intentare lo que dices a ver que tal! Muchisimas gracias!

+1
0
-1
Imagen de Capa
+1
0
-1

Por favor, lee las normas antes de publicar.
Es necesario el empleo de títulos descriptivos con tu problema.
Títulos como "Ayuda", "socorro" o "Creo que la he liado muy gorda...Ayuda please!!" no aportan información sobre el contenido del hilo.

Puedes editar tu hilo principal para corregirlo.

Gracias.


+1
0
-1
Imagen de Gabriel_M
+1
0
-1

Hola ism....:

Lamentablemente el sistema esta corrupto.

entre otras opciones puedes:

1- Ejecutar:

sudo apt-get dist-upgrade

Y tener a karmic completamente instalado

2- Reinstalar jaunty, poniendo a salvo tus

datos, y dentro de menos de un mes actualizar

a karmic

+1
0
-1
Imagen de Ismaelichio
+1
0
-1

Para realizar el primer punto tendria que volver a poner los repositorios de karmic, no?
Un saludo y muchas gracias!

+1
0
-1
Imagen de Gabriel_M
+1
0
-1

Hola ism...:

Si debes cambiar jaunty por karmic,

en sources.list

Parece lo mas conveniente, esta en

el fin de alfa y principio de beta,

con muchos pequeños errores, pero

bastante estable, lo estoy usando

desde alfa 1 y nunca tuve una perdida

de sistema gráfico siquiera. Lo único

importante es que debes actualizar

con apt-get no con synaptic y es en un

promedio de 80 a 160 megas diarios.

+1
0
-1
Imagen de Ismaelichio
+1
0
-1

Buenas! He hecho lo que decias y me salian 0 actualizaciones. Sin embargo, he hecho "sudo update-manager -d" y me salian unas actualizaciones de linux-headers, las he instalado y sigue igual. Solo puedo acceder a mi equipo de forma "correcta" arrancando la ultima opcion del grub y al hacer esto el sistema me va regular. Quizas esto sea normal mientras no sale una version completamente estable, no?
Muchas gracias y un saludo!

+1
0
-1
Imagen de Gabriel_M
+1
0
-1

Hola ism...:

Edita tu sources.list y dejala con estos repositorios:

deb http://archive.ubuntu.com/ubuntu/ karmic main restricted
deb-src http://archive.ubuntu.com/ubuntu/ karmic restricted main multiverse universe
deb http://archive.ubuntu.com/ubuntu/ karmic-updates main restricted
deb-src http://archive.ubuntu.com/ubuntu/ karmic-updates restricted main multiverse universe 
deb http://archive.ubuntu.com/ubuntu/ karmic universe
deb http://archive.ubuntu.com/ubuntu/ karmic-updates universe
deb http://archive.ubuntu.com/ubuntu/ karmic multiverse
deb http://archive.ubuntu.com/ubuntu/ karmic-updates multiverse
deb http://archive.ubuntu.com/ubuntu/ karmic-backports main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ karmic-backports main restricted universe multiverse
deb http://archive.canonical.com/ubuntu karmic partner
deb-src http://archive.canonical.com/ubuntu karmic partner
deb http://archive.ubuntu.com/ubuntu/ karmic-security main restricted
deb-src http://archive.ubuntu.com/ubuntu/ karmic-security restricted main multiverse universe 
deb http://archive.ubuntu.com/ubuntu/ karmic-security universe
deb http://archive.ubuntu.com/ubuntu/ karmic-security multiverse
deb http://ppa.launchpad.net/openoffice-pkgs/ubuntu karmic main
deb-src http://ppa.launchpad.net/openoffice-pkgs/ubuntu karmic main
deb http://packages.medibuntu.org/ karmic free non-free
deb-src http://packages.medibuntu.org/ karmic free non-free

Luego ejecuta en consola:

sudo apt-get update

sudo apt-get dist-upgrade

terminada la actualización y luego de reiniciar, busca como

instalar el Grub2 a fin de que quede un karmic completo

Puede que te informe algun error de falta de claves

o no le das importancia o buscas como agregar las claves de

medibuntu y ppa

+1
0
-1
Imagen de CHuLoYo
+1
0
-1

Para las claves de ppa tienes un script automatizado:

http://www.kubuntu-es.org/wiki/sistema/solucion-problema-claves-reposito...

Un saludo.

---------
Marcos Pérez

+1
0
-1
Imagen de Ismaelichio
+1
0
-1

Muchas gracias a los dos! Me habeis ayudado mucho. Al final hice lo que dijo Gabriel y ha ido muy bien y el script de las claves tambien me ha sido util. Muchas gracias de nuevo y perdon por no haber contestado antes porque ando un poco liadillo.

Un saludo!

+1
0
-1